<?php defined('BASEPATH') || exit('No direct script access allowed');

    function check()
    {
        $CI =& get_instance();
        
        $CI->load->library('notificacoes/toolbar');
        var_dump(Toolbar::contato());
        var_dump(Toolbar::notificacoes());
    }

if (! function_exists('set_messages')) {

	function set_messages()
    {
        $CI =& get_instance();
        
        $CI->load->library('notificacoes/toolbar');
        $CI->load->model('notificacoes/acao_model', 'pesquisa');
        
        $data = array();       
        $db_rows = array();
        $hasNullRows = 0;
        
        $perfil = $CI->pesquisa->return_perfil();
        $inbox = $CI->pesquisa->get_novos_contatos(3);
    	
    	if($perfil === '4') // Anunciante
    	{
    	    // Dados obrigatórios
    	    
    	    Toolbar::set_area('contato');
    	    
    	    if(sizeof($inbox['result']) > 0)
    	    {
    	        foreach($inbox['result'] as $msg)
                {
                    $link  = base_url('anunciante/conta/mensagem').'/'.$msg->id;
                    $date  = converte_datahora($msg->data, 1);
                
                    Toolbar::add('contato_'.$msg->id, ucwords($msg->nome), ucfirst(strtolower($msg->assunto)), $link, $date);
                }
    	    }
    	    
    	    Toolbar::set_area('mensagem');
    	    
    	    $db_rows = array(
    	        'nome', 'sobrenome', 'email', 'rg', 'rg_uf', 'cpf', 'celular', 'dt_nasc','sexo',
    	        'empresa','cnpj','telefone_empresa','pj_cep','pj_estado','pj_cidade','pj_bairro','pj_logradouro','pj_numero',
    	        'atividades','segmento','chamada','descricao','pa_estado','pa_cidade','pa_sexo','idade_minima','idade_maxima','logo_src'); 
    	        
            $cadastro = $CI->pesquisa->get_dados($db_rows);
            $galeria = $CI->pesquisa->galeria_ok();
    	    
    	    if(!$galeria)
    	    {
                $title = 'Envie imagens para a sua página pública!';
                $msg = 'Sua página ficará muito mais interessante com imagens que você pode enviar através da aba "Anunciante > Dados Cadastrais" do painel de navegação.';
                $link = base_url('anunciante/painel/galeria');
                $button = 'Ir para Galeria';
                Toolbar::add('galeria', $title, $msg, $link, null, $button);
    	    }
    	    
    	    if(is_null($cadastro) || empty($cadastro))
            {
                $title = 'Autorize sua conta do Mercado Pago!';
                $msg = 'Você somente poderá começar a utilizar os serviços do QIclub após conectar sua conta do Mercado Pago com o nosso servidor.';
                $link = base_url('painel/area_restrita');
                $button = 'Autorizar';
                Toolbar::add('mercadopago', $title, $msg, $link, null, $button);
                
                $title = 'Complete seus dados de cadastro!';
                $msg = 'É importante completar seus dados cadastrais para usufruir completamente de todos os serviços do QIclub.';
                $link = base_url('anunciante/painel/cadastro');
                $button = 'Ver Dados';
                Toolbar::add('cadastro', $title, $msg, $link, null, $button);
            }
            else
            {
                $empty = '';
                $limit = 3;
                
                $alias = array(
                    'nome' => 'nome',
                    'sobrenome' => 'sobrenome',
                    'email' => 'email',
                    'rg' => 'RG',
                    'rg_uf' => 'UF do RG',
                    'cpf' => 'CPF',
                    'celular' => 'celular',
                    'dt_nasc' => 'data de nascimento',
                    'sexo' => 'sexo',
                    'empresa' => 'nome da empresa',
                    'cnpj' => 'CNPJ',
                    'telefone_empresa' => 'telefone da empresa',
                    'pj_cep' => 'CEP',
                    'pj_estado' => 'estado',
                    'pj_cidade' => 'cidade',
                    'pj_bairro' => 'bairro',
                    'pj_logradouro' => 'logradouro',
                    'pj_numero' => 'número',
                    'atividades' => 'atividades da empresa',
                    'segmento' => 'segmento de atuação',
                    'chamada' => 'chamada de impacto',
                    'descricao' => 'descrição',
                    'pa_estado' => 'público alvo - estado',
                    'pa_cidade' => 'público alvo - cidade',
                    'pa_sexo' => 'público alvo - sexo',
                    'idade_minima' => 'público alvo - idade mínima',
                    'idade_maxima' => 'público alvo - idade máxima',
                    'logo_src' => 'logo'
                );
                
                foreach($cadastro as $key => $val)
                {
                    if($hasNullRows < $limit && in_array($key, $db_rows) && ($val === null || strlen($val) === 0 || (($key === 'anunciante_comercial' && $val === '0') && ($key !== 'anunciante_social' && $val === '0'))))
                    {
                       $hasNullRows++;
                       
                       if($hasNullRows === 1 && $hasNullRows !== $limit)
                        {
                            $empty .= $alias[$key];
                        }
                        else if($hasNullRows < $limit && $hasNullRows !== 1)
                        {
                           $empty .= ', '.$alias[$key];
                        }
                        else if($hasNullRows === 1 && $hasNullRows === $limit)
                        {
                            $empty = $alias[$key].'.';
                        }
                        else 
                        {
                            $empty .= ', '.$alias[$key].'...';
                        }
                    }
                }
                 
                if($hasNullRows > 0)
                {
                    $title = 'Complete seus dados de cadastro!';
                    $msg = 'Você precisa completar alguns dados obrigatórios: '.$empty;
                    $link = base_url('anunciante/painel/cadastro');
                    $button = 'Ver Dados';
                    Toolbar::add('cadastro', $title, $msg, $link, null, $button);
                }
                
                if($cadastro->mp_access_token === null || strlen($cadastro->mp_access_token) === 0)
                {
                    $title = 'Autorize sua conta do Mercado Pago!';
                    $msg = 'Você somente poderá começar a utilizar os serviços do <b>QI Club</b> após conectar sua conta do Mercado Pago com o nosso servidor.';
                    $link = base_url('painel/area_restrita');
                    $button = 'Autorizar';
                    Toolbar::add('mercadopago', $title, $msg, $link, null, $button);
                }
            }
            
            //echo'<pre>';var_dump($cadastro);
    	}
    	
    	return array('contato' => Toolbar::contato(), 'messages' => Toolbar::notificacoes(), 'perfil_usuario' => $perfil);
        
    }
    
}